Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.ode.sampling
Interface FixedStepHandler

    public interface FixedStepHandler

This interface represents a handler that should be called after each successful fixed step.

This interface should be implemented by anyone who is interested in getting the solution of an ordinary differential equation at fixed time steps. Objects implementing this interface should be wrapped within an instance of `StepNormalizer` that itself is used as the general `StepHandler` by the integrator. The `StepNormalizer` object is called according to the integrator internal algorithms and it calls objects implementing this interface as necessary at fixed time steps.

Since:
  1.2
Version:
  $Revision: 1073158 $ $Date: 2011-02-21 22:46:52 +0100 (lun. 21 fÃ©vr. 2011) $
See Also:
  `StepHandler`, `StepNormalizer`

Method Summary
`void` | `handleStep(double t, double[] y, double[] yDot, boolean isLast)` Handle the last accepted step

Method Detail

### handleStep

    void handleStep(double t,
                    double[] y,
                    double[] yDot,
                    boolean isLast)
                    throws DerivativeException

  Handle the last accepted step

  Parameters:
    `t` - time of the current step
    `y` - state vector at t. For efficiency purposes, the `StepNormalizer` class reuses the same array on each call, so if the instance wants to keep it across all calls (for example to provide at the end of the integration a complete array of all steps), it should build a local copy store this copy.
    `yDot` - derivatives of the state vector state vector at t. For efficiency purposes, the `StepNormalizer` class reuses the same array on each call, so if the instance wants to keep it across all calls (for example to provide at the end of the integration a complete array of all steps), it should build a local copy store this copy.
    `isLast` - true if the step is the last one
  Throws:
    `DerivativeException` - if some error condition is encountered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.